%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		rply
Version:	1.1.3
Release:	%mkrel 2
Summary:	A library to read and write PLY files
Group:		Development/Other
License:	MIT
URL:		http://w3.impa.br/~diego/software/rply/
Source0:	http://w3.impa.br/~diego/software/rply/%{name}-%{version}.tar.gz
Source1:	rply_CMakeLists.txt
Source2:	RPLYConfig.cmake.in
Source3:	rply_cmake_export_cmakelists.txt
BuildRequires:	cmake >= 2.6.0

%description
RPly is a library that lets applications read and write PLY files.
The PLY file format is widely used to store geometric information, such as 3D
models, but is general enough to be useful for other purposes.

RPly is easy to use, well documented, small, free, open-source, ANSI C,
efficient, and well tested. The highlights are:

* A callback mechanism that makes PLY file input straightforward;
* Support for the full range of numeric formats;
* Binary (big and little endian) and text modes are fully supported;
* Input and output are buffered for efficiency;
* Available under the MIT license for added freedom.

%package -n	%{libname}
Summary:	A library to read and write PLY files
Group:		System/Libraries

%description -n	%{libname}
RPly is a library that lets applications read and write PLY files.
The PLY file format is widely used to store geometric information, such as 3D
models, but is general enough to be useful for other purposes.

%package -n	%{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Rply Library Header Files and Link Libraries.

%prep
%setup -q

iconv -f ISO8859-1 -t UTF-8 LICENSE > LICENSE.utf8
mv -f LICENSE.utf8 LICENSE

# Add CMakeLists.txt file
cp %{SOURCE1} CMakeLists.txt

# Add CMake detection modules
mkdir -p CMake/export
mkdir -p CMake/Modules

cp %{SOURCE2} CMake/Modules/
cp %{SOURCE3} CMake/export/CMakeLists.txt

%build
%cmake -DCMAKE_BUILD_TYPE:STRING="Release"\
       -DCMAKE_VERBOSE_MAKEFILE=ON

%make

%install
%makeinstall_std -C build

%files
%{_bindir}/*

%files -n %{libname}
%doc LICENSE
%doc manual/*
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_datadir}/%{name}/


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.1.3-2.mga6
+ Revision: 958781
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 daviddavid <daviddavid> 1.1.3-1.mga6
+ Revision: 857543
- new version: 1.1.3
- update URL and Source URL

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 739670
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-4.mga5
+ Revision: 688701
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-3.mga4
+ Revision: 518072
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 380441
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 07 2012 wally <wally> 1.1.1-1.mga3
+ Revision: 257063
- new version 1.1.1

* Tue Jul 05 2011 wally <wally> 1.01-1.mga2
+ Revision: 118986
- imported package rply

